Bug 1127720 - Review Request: perl-MooX-ConfigFromFile - Moo eXtension for initializing objects from config file
Summary: Review Request: perl-MooX-ConfigFromFile - Moo eXtension for initializing obj...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1123336
Blocks: 1134108
TreeView+ depends on / blocked
 
Reported: 2014-08-07 12:07 UTC by David Dick
Modified: 2014-08-30 03:55 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-30 03:55:04 UTC
paul: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-08-07 12:07:32 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-MooX-ConfigFromFile.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-MooX-ConfigFromFile-0.002-1.fc20.src.rpm
Description: Moo eXtension for initializing objects from config file
Fedora Account System Username: ddick

Comment 1 Paul Howarth 2014-08-15 14:50:47 UTC
Review
======

rpmlint
-------
perl-MooX-ConfigFromFile.noarch: W: spelling-error Summary(en_US) eXtension -> extension, extensions, ex tension
perl-MooX-ConfigFromFile.noarch: W: spelling-error Summary(en_US) config -> con fig, con-fig, configure
perl-MooX-ConfigFromFile.noarch: W: spelling-error %description -l en_US config -> con fig, con-fig, configure

Requires
--------
perl(Config::Any)
perl(File::Find::Rule)
perl(File::Find::Rule) >= 0.30
perl(FindBin)
perl(Moo) >= 1.003
perl(Moo::Role)
perl(MooX::File::ConfigDir) >= 0.002
perl(strict)
perl(warnings)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Provides
--------
perl(MooX::ConfigFromFile) = 0.002
perl(MooX::ConfigFromFile::ConfigData)
perl(MooX::ConfigFromFile::Role) = 0.002
perl-MooX-ConfigFromFile = 0.002-1.fc22

Review Checklist
----------------
- rpmlint only moans about technical spellings, so no problem there
- package and spec file naming OK
- package meets guidlines
- license is same as perl, which is fine for Fedora and matches the spec
- no upstream license file to include in package
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for Rawhide x86_64
- buildreqs seem complete
- no locales, libraries, devel files, sub-packages, desktop files etc. to
  concern us
- package is not intended to be relocatable
- directory ownership is fine
- no duplicate files
- permissions are sane
- macro usage is consistent, though I don't really see what advantage the
  use of %{__perl} brings these days
- code, not content
- no large docs to worry about
- docs don't affect runtime
- filenames are all ASCII
- no scriptlets to consider

Notes
-----

Filtering of unversioned dependencies isn't working properly due to missing '%':
-%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(File::Find::Rule\\)$
-%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(Moo\\)$
-%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(MooX::File::ConfigDir\\)$
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(File::Find::Rule\\)$
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Moo\\)$
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(MooX::File::ConfigDir\\)$

Using "--" Build options would make the package forward-compatible with Module::Build::Tiny,
should upstream ever decide to switch to that:

%{__perl} Build.PL --installdirs=vendor
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0

I prefer to see a more specific list of files/directories in the %files list
as this offers some protection against upstream accidentally bundling something
and us accidentally shipping it as a result - reducing the scope of wildcards
can help flag this sort of thing at package build time


None of those are blockers; take what you will from those suggestions.

APPROVED.

Comment 2 David Dick 2014-08-16 00:36:48 UTC
Thanks Paul.

New Package SCM Request
=======================
Package Name: perl-MooX-ConfigFromFile
Short Description: Moo eXtension for initializing objects from config file
Upstream URL: http://search.cpan.org/dist/MooX-ConfigFromFile/
Owners: ddick
Branches: f20, f21
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2014-08-18 14:54:44 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-08-18 20:55:18 UTC
perl-MooX-ConfigFromFile-0.002-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-MooX-ConfigFromFile-0.002-1.fc20

Comment 5 Fedora Update System 2014-08-21 09:46:18 UTC
perl-MooX-ConfigFromFile-0.002-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 6 Fedora Update System 2014-08-30 03:55:04 UTC
perl-MooX-ConfigFromFile-0.002-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.